List Evaluation Groups
curl --request GET \
--url https://api.futureagi.com/model-hub/eval-groups/ \
--header 'X-Api-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'import requests
url = "https://api.futureagi.com/model-hub/eval-groups/"
headers = {
"X-Api-Key": "<api-key>",
"X-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Api-Key': '<api-key>', 'X-Secret-Key': '<api-key>'}
};
fetch('https://api.futureagi.com/model-hub/eval-groups/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"required_keys": [
"<string>"
],
"evals_count": 123,
"is_sample": true
}
],
"total_count": 123,
"total_pages": 123
}{
"error": "<string>"
}Eval Groups
List Evaluation Groups
Retrieves a paginated list of evaluation groups for the user’s workspace, including sample groups.
GET
/
model-hub
/
eval-groups
/
List Evaluation Groups
curl --request GET \
--url https://api.futureagi.com/model-hub/eval-groups/ \
--header 'X-Api-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'import requests
url = "https://api.futureagi.com/model-hub/eval-groups/"
headers = {
"X-Api-Key": "<api-key>",
"X-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Api-Key': '<api-key>', 'X-Secret-Key': '<api-key>'}
};
fetch('https://api.futureagi.com/model-hub/eval-groups/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"required_keys": [
"<string>"
],
"evals_count": 123,
"is_sample": true
}
],
"total_count": 123,
"total_pages": 123
}{
"error": "<string>"
}Authorizations
Query Parameters
Filter evaluation groups by name (case-insensitive search).
The number of results to return per page.
The page number to retrieve.
Was this page helpful?
⌘I